---
- name: apply database configuration
  collections:
    - community.mysql
  hosts: db_servers
  vars:
    ansible_python_interpreter: /usr/bin/python3
  pre_tasks:
    - name: define ansible_python_interpreter group // linux distribution
      set_fact:
        ansible_python_interpreter: /usr/bin/python2
      when: ansible_distribution == 'CentOS' and ansible_distribution_major_version == '7'
  roles:
    - { role: mariadb }
